# Interface MediaInfoJson

Defines an image or a chart to be displayed in a pop-up window. See https://developers.arcgis.com/web-map-specification/objects/mediaInfo/ and https://developers.arcgis.com/web-scene-specification/objects/mediaInfo/.

interface MediaInfoJson {
altText?: string;
caption?: string;
refreshInterval?: number;
title?: string;
type?: string;
value?: ValueJson;
}

#####
Index

### Properties

altText?
caption?
refreshInterval?
title?
type?
value?

##
Properties

### `Optional` altText

altText?: string

A string providing the alternate text for the media.

### `Optional` caption

caption?: string

A caption describing the media. This can contain a field name enclosed in `{}`, such as `{IMAGE_CAPTION}`.

### `Optional` refreshInterval

refreshInterval?: number

Refresh interval of the layer in minutes. Non-zero value indicates automatic layer refresh at the specified interval. Value of 0 indicates auto refresh is not enabled. If the property does not exist, it's equivalent to having a value of 0. Only applicable when type is set to image.

### `Optional` title

title?: string

A title for the media. This can contain a field name enclosed in `{}`, such as `{IMAGE_TITLE}`.

### `Optional` type

type?: string

Defines the type of media. One of the MediaJsonType constants.

### `Optional` value

value?: ValueJson

Contains information about how the image should be retrieved or how the chart should be constructed.